<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$success    = false;

$file       = "cardrecp.php";

$keyfld     = "vouchno";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`settfrom` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`settto` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`custcode` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`amount` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND a.`narr1` . a.`narr2` = '$searchTerm'";
    
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`settfrom` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`settto` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`custcode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`amount` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND a.`narr1`  LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`settfrom`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`settto`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`custcode`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY a.`amount`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY a.`narr1`";
} 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
}else{
    $ordcond = " ASC";
}

$query = "SELECT a.*, b.name , b.accode,DATE_FORMAT(a.`vouchdt`,'%d-%m-%Y')as vouchdt FROM `cardrecp` a, `accmast` b WHERE a.`vouchno` != '' "
        . " and a.party = b.accode  $cond $sortcond $ordcond   LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    
//     $getbank = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode` = '$r[bankname]'");
//    $banknm = mysqli_fetch_array($getbank);
//
//    $getparty = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode` = '$r[party]'");
//    $gtpt = mysqli_fetch_array($getparty);
    

    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'vouchno'   => $r['vouchno'],
                'vouchdt'   => $r['vouchdt'],
                'settfrom'  => $r['settfrom'],
                'settto'    => $r['settto'],
                'custcode'  => $r['custcode'],
                'name'      => $r['name'],
                'amount'    => $r['amount'],
                'narr1'     => $r['narr1'],
                'narr2'     => $r['narr2'],
                'action'    => "$file?mode=edit&vouchno=$r[vouchno]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
